Subject: Re: why am I administrator?
From: "David A. Cobb" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Dan Lipofsky <[email-masked]>
Date: Wed, 10 Jan 2001 17:23:51 -0500

"Larry Hall (RFK Partners, Inc)" wrote:

> At 04:07 PM 1/10/2001, Earnie Boyd wrote:
> >Dan Lipofsky wrote:
> > >
> > > I installed the latest cygwin on my Win2000Pro machine.
> > > I was administrator when I installed it, but I am now
> > > trying to use it while logged on as dlipofsky.  However,
> > > cygwin still thinks I am administrator.  How can I fix this?
> > >
> > > USER=administrator but USERNAME=dlipofsky.
> > > USERNAME is set by the OS.  Here is a dump of some enviroment
> > > variables, from bash and from the DOS prompt respectively.
> > >
> >
> >USER is set in the /etc/profile function by issuing the `id -un`
> >command.  The id command gets it's name from the associated uid in the
> >/etc/passwd file.
> >
> >I can also guess that you are in the local administrator group and
> >logged on as a domain user.  Upon setup a /etc/passwd file is created
> >from the local sid.  You need to add your domain sid for your user
> >account.
> >
> >Cheers,
> >Earnie.
>
> This seems to come up allot.  Maybe we need an FAQ for this?
>
> Larry Hall                              [email-masked]
> RFK Partners, Inc.                      http://www.rfk.com
> 118 Washington Street                   (508) 893-9779 - RFK Office
> Holliston, MA 01746                     (508) 893-9889 - FAX

Yeah, a FAQ would be nice.  I had my asbestos undies well warmed for asking

the same question.  Chris solemnly avers that the answer is in the mail
archives,
even though I didn't find it within the previous 3 months.  I do believe
Chris,
his memory is far better than mine since I'm down to under 8 hours now.

I got around this another way that made sense to me.  I modified my
Cygwin.BAT
file (which I put in my HOME (My Documents) rather than in the root.
Instead of
directly starting bash, it executes "C:/bin/login -u Superbiskit".  Login
knows
from /etc/passwd that I like bash, and it starts it in the "correct" mode
(interactive
login shell).
--
David A. Cobb, Software Engineer, Public Access Advocate.  Public Key at:
<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
"Don't buy or use crappy software"
"By the grace of God I am a Christian man,
 by my actions a great sinner" -- The Way of a Pilgrim [R. M. French, tr.]

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple